Retrieve email
Get a single email and its latest delivery status.
GEThttps://api.cresca.xyz/api/v1/emails/:id
Requires a full-access key. Emails are kept for 30 days.
Path parameters
idstringrequired
The email id returned when you sent it.
Example
Request
curl -X GET 'https://api.cresca.xyz/api/v1/emails/4ef9a417-02e9-4d39-ad75-9611e0fcc33c' \
-H 'Authorization: Bearer cr_live_xxxxxxxxx'Response 200
{
"object": "email",
"id": "4ef9a417-02e9-4d39-ad75-9611e0fcc33c",
"from": "Acme <hello@acme.com>",
"to": [
"user@example.com"
],
"cc": null,
"bcc": null,
"reply_to": [
"support@acme.com"
],
"subject": "Reset your password",
"html": "<p>Click <a href=\"https://acme.com/reset?token=abc\">here</a> to reset your password.</p>",
"text": "Click here (https://acme.com/reset?token=abc) to reset your password.",
"created_at": "2026-10-19T09:14:03.120Z",
"scheduled_at": null,
"last_event": "delivered",
"tags": [
{
"name": "category",
"value": "password_reset"
}
]
}last_event is the most recent event for the email. See Email lifecycle for every value. Another account's email id returns 404 not_found.